<template>
  <div class="toolbar">
    <q-toolbar-title
      class="title"
    >
    </q-toolbar-title>
    <div>
      <div class="right-part">
        <div class="right-part-nav">
          <UnderlinedButton active :to="{ name: 'home' }">
            {{ $t("nav.home") }}
          </UnderlinedButton>

          <hr />

          <UnderlinedButton :href="'https://blog.smat-app.com/'">
            {{ $t("nav.blog") }}
          </UnderlinedButton>

          <hr />

          <UnderlinedButton :href="'https://api.smat-app.com/docs'">
            {{ $t("nav.api") }}
          </UnderlinedButton>

          <hr />

          <UnderlinedButton :href="'https://docs.smat-app.com/docs'">
            {{ $t("nav.docs") }}
          </UnderlinedButton>

          <hr />

        </div>
        <div class="right-part-lang">
          <LanguagePickerToggle />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import UnderlinedButton from '@/components/input/UnderlinedButton'
import LanguagePickerToggle from '@/components/input/LanguagePickerToggle'
import smatLogo from '@/assets/smat-logo-full.svg'

export default {
  components: {
    UnderlinedButton,
    LanguagePickerToggle
  },
  data () {
    return {
      smatLogo,
    }
  }
}
</script>

<style scoped lang="scss">
hr {
  border-color: var(--color-dark-dividers);
  background-color: var(--color-dark-dividers);
  color: var(--color-dark-dividers);
  margin: 0;
}
.toolbar {
  background: var(--color-dark-bg);
  height: 100%;
  width: 100%;
  padding-top: var(--spacing-5);
  text-align: center;
  color: var(--color-white);

  hr {
    width: 100%;
    color: var(--color-dark-bg);
  }
}

.title {
  font-weight: 800;

  display: grid;
  grid-template-columns: auto 1fr;
  grid-gap: 10px;
  align-items: center;
}

.right-part-nav {
  margin: 0 0 20px 0;
}
</style>
